using FluentValidation;

namespace CMSMicroservice.Application.WalletCQ.Commands.ChargeDiscountWallet;

public class ChargeDiscountWalletCommandValidator : AbstractValidator<ChargeDiscountWalletCommand>
{
    public ChargeDiscountWalletCommandValidator()
    {
        RuleFor(x => x.UserId)
            .GreaterThan(0)
            .WithMessage("شناسه کاربر باید بزرگتر از صفر باشد");

        RuleFor(x => x.Amount)
            .GreaterThanOrEqualTo(10_000)
            .WithMessage("حداقل مبلغ شارژ 10,000 تومان است")
            .LessThanOrEqualTo(1_000_000_000)
            .WithMessage("حداکثر مبلغ شارژ 1,000,000,000 تومان است");
    }
}
